summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'projects/chroot-manager/trunk/bin/chroot-mount')
-rwxr-xr-xprojects/chroot-manager/trunk/bin/chroot-mount15
1 files changed, 15 insertions, 0 deletions
diff --git a/projects/chroot-manager/trunk/bin/chroot-mount b/projects/chroot-manager/trunk/bin/chroot-mount
new file mode 100755
index 0000000..527ef95
--- /dev/null
+++ b/projects/chroot-manager/trunk/bin/chroot-mount
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+TARGET_CHROOT="${1}"
+if [[ -z ${TARGET_CHROOT} ]]; then
+ eerror "Expected one argument (the name of the chroot)"
+ exit 1
+fi
+
+CHROOT_MANAGER_HOME=$(dirname $0)/..
+CHROOT_MANAGER_LIBEXEC="${CHROOT_MANAGER_HOME}/libexec/chroot-manager"
+
+source "${CHROOT_MANAGER_LIBEXEC}/chroot-functions.sh"
+
+init_chroot_env ${TARGET_CHROOT}
+bind_chroot_dirs